Bug 246165 - uli526x driver not included on install image
Summary: uli526x driver not included on install image
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 7
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F8KernelBlocker
TreeView+ depends on / blocked
 
Reported: 2007-06-28 21:55 UTC by Ian Romanick
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 21:56:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ian Romanick 2007-06-28 21:55:13 UTC
Description of problem:

The uli526x driver isn't included on the install image.  This makes network
based installed (e.g., via FTP) impossible.  This driver is (was?) included in
FC5 2.6.19 kernels, so it seems odd that it is missing here.

Version-Release number of selected component (if applicable):

F7 final.

How reproducible:

Everytime.

Steps to Reproduce:
1. Boot from install CD on ASRock 939Dual-SATA2 motherboard
2. Select ftp install
3.
  
Actual results:

Can't find driver for network card.

Expected results:

A happily installed FC7 system.

Additional info:

Comment 1 Christopher Brown 2007-09-17 20:15:30 UTC
Hello Ian,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel? Also, if you are able to
test with the latest Fedora 8 image, available from:

http://fedoraproject.org/wiki/Distribution/Download

that would be appreciated as we hope to resolve install issue such as this
before the next release.

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris


Comment 2 Ian Romanick 2007-09-18 17:47:16 UTC
Once the system is installed, it's fine.  It's just the kernel / initrd on the
install disc that's lacking the correct driver.  I should be able to give the
FC8 install image in the next day or so.

Comment 3 Christopher Brown 2007-09-18 20:57:06 UTC
Okay Ian,

Thanks for the info. I've added an F8 kernel blocker bug to make sure this
doesn't get missed for release. Its certainly in the latest stock F7 kernels so
like you I don't see any reason it will be missing from the installer for F8 though.

Cheers
Chris

Comment 4 Chuck Ebbert 2007-09-18 21:19:07 UTC
Not a kernel bug.

Comment 5 Jeremy Katz 2007-09-18 21:56:18 UTC
It's currently included in F8


Note You need to log in before you can comment on or make changes to this bug.